using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace nispi.OptionControl.OutWard.List
{
    public partial class OriginalFont : Form
    {
        public string fontPath = "";
        public string fontName = "";
        public ColorSet colorSet = new ColorSet();
        public string fontSize = "";

        public OriginalFont(string path)
        {
            InitializeComponent();
            this.fontPath = this.fontPathTextBox.Text = path;
        }

        private void getPathButton_Click(object sender, EventArgs e)
        {
            string file = FormGUI.GetTargetFile();

            //ダイアログを表示する
            if (file.Length > 0)
            {
                this.fontPath = file;
                this.fontPathTextBox.Text = file;
                //ラベルに表示する
            }
        }

        private void colorButton_Click(object sender, EventArgs e)
        {
            //colorSet = new ColorSet();
            if (true == FormGUI.GetColor(colorSet))
            {
            }
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }
    }
}
